// VUEJS ANIMATIONS

//[1] fade
.fade-enter-active, .fade-leave-active
  transition: opacity 500ms

.fade-enter, .fade-leave-to
  opacity: 0

//[2] slide-fade
/* Enter and leave animations can use different */
/* durations and timing functions.              */

.slide-fade-enter-active
  transition: all .3s ease

.slide-fade-leave-active
  transition: all .8s cubic-bezier(1.0, 0.5, 0.8, 1.0)

.slide-fade-enter, .slide-fade-leave-to
  transform: translateX(10px)
  opacity: 0


//[3] bounce

.bounce-enter-active
  animation: bounce-in .5s

.bounce-leave-active
  animation: bounce-in .5s reverse

@keyframes bounce-in
  0%
    transform: scale(0)
  50%
    transform: scale(1.5)
  100%
    transform: scale(1)

//[4]list

.list-enter-active, .list-leave-active
  transition: all 500ms

.list-enter, .list-leave-to
  opacity: 0
  transform: translateY(30px)

//[4]modal
.modal-enter
  opacity: 0

.modal-leave-active
  opacity: 0

.modal
  transition: opacity .3s ease

.modal-content
  transition: all .3s ease

.modal-enter .modal-content,
.modal-leave-active .modal-content
  -webkit-transform: scale(1.1)
  transform: scale(1.1)
